std::regex_error Class Reference
Regular Expressions Diagnostics » | Exceptions
Inheritance diagram for std::regex_error:
[legend]

## Public Member Functions

| regex_error (regex_constants::error_type __ecode)
regex_constants::error_type | code () const
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Friends

void | __throw_regex_error (regex_constants::error_type, const char *)

## Detailed Description

A regular expression exception class.

The regular expression library throws objects of this class on error.

Definition at line 132 of file regex_error.h.

The documentation for this class was generated from the following file:

- regex_error.h